> For the complete documentation index, see [llms.txt](https://docs.overdare.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.overdare.com/development/api-reference/enums/forcelimitmode.md).

# ForceLimitMode

## Overview

ForceLimitMode is an Enum that determines how to specify and limit maximum force in a constraint.

This is used in the ForceLimitMode property of LinearVelocity and defines how the force is limited.

## Items

| Name      | Value | Description                                                                                                                                                       |
| --------- | ----- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Magnitude | 0     | Specifies maximum force with a single scalar value. This ensures that the total force applied does not exceed this limit.                                         |
| PerAxis   | 1     | Specifies the maximum force component along each axis of reference coordinate system as a vector. Each component of the applied force does not exceed this limit. |

## See also

{% content-ref url="/pages/FusLxqJwK8wA5H9rxNSI" %}
[LinearVelocity](/development/api-reference/classes/linearvelocity.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.overdare.com/development/api-reference/enums/forcelimitmode.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
